Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000565Core InformModel worldpublic2011-02-14 12:382014-05-07 07:33
Assigned Tograham 
Platformx86OSWindowsOS VersionXP
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000565: Can't interact with former self object except indirectly.
DescriptionIf the player object is redefined to another person, the previous player object is visible but can't be interacted with except indirectly (via "take all" or the parser implicitly choosing it).
Minimal Source Text To Reproduce
"Bug Demonstration" by Otis

Obligatory Starting Point is a room.

Joe is a person in Obligatory Starting Point. The description of Joe is "Joe is quite the fellow!"

When play begins, now the player is Joe.

test me with "x me / examine / examine my former self / examine your former self / examine former 
self / examine former / examine person / showme all"
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
Jim Aikin (reporter)
2011-02-16 23:39
edited on: 2011-02-16 23:40

The workaround is trivial:

Steve is a man in the Starting Point. The player is Steve. The printed name of Steve is "[if the player is not Steve]your former self[otherwise]Steve[end if]". Understand "your" and "former" and "self" as Steve when the player is not Steve.

Nonetheless, it's more than a bit odd that there's an actual object in scope (your former self) that can't be given vocabulary words.

Fuchsia tude (reporter)
2011-02-17 00:41

Actually, ">X YOURSELF" displays the old "As good-looking as ever." So, for some bizarre reason, the parser understands "yourself" as your former self, and no other words.
EmacsUser (manager)
2011-02-27 18:56

Confirmed, though I would see this a more of a quirk than a bug. As Fuchsia tude points out, the player is originally the default person, named ``yourself'' (point 2 of WI 3.27). Once the player becomes Joe, Inform is merely showing the printed name for the first time (point 2 of WI 17.10). Yet the object is still ``yourself,'' even if it isn't printed that way.

For the time being I would recommend the following workaround, based on Jim's code, but adapted to avoid the explicit creation of the yourself object and to handle edge-case commands like ``examine self'' and ``examine my self'' correctly.

- - - -
Yourself is privately-named.
Understand "your former self" or "my former self" or "former self" or "former" as yourself when the player is not yourself.
- - - -
graham (administrator)
2014-02-15 03:30

This is a fairly marginal case, but I've accepted EmacsUser's suggested addition to the Standard Rules.

- Issue History
Date Modified Username Field Change
2011-02-14 12:38 otistdog New Issue
2011-02-16 23:39 Jim Aikin Note Added: 0001035
2011-02-16 23:40 Jim Aikin Note Edited: 0001035 View Revisions
2011-02-17 00:41 Fuchsia tude Note Added: 0001036
2011-02-22 16:10 jmcgrew Status new => acknowledged
2011-02-27 18:56 EmacsUser Note Added: 0001054
2011-02-27 18:56 EmacsUser Status acknowledged => confirmed
2014-02-15 03:30 graham Note Added: 0002501
2014-02-15 03:30 graham Status confirmed => resolved
2014-02-15 03:30 graham Resolution open => fixed
2014-02-15 03:30 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed

Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker